language: php
php:
  - 5.5
  - 5.4
  - 5.3
before_install:
  - sudo apt-get update -qq
  - sudo apt-get install -y -qq postfix
before_script:
  - sudo service postfix stop
  - smtp-sink -d "%d.%H.%M.%S" localhost:2500 1000 &
  - cd test
  - cp testbootstrap-dist.php testbootstrap.php
  - chmod +x fakesendmail.sh
  - sudo mkdir -p /var/qmail/bin
  - sudo cp fakesendmail.sh /var/qmail/bin/sendmail
  - sudo cp fakesendmail.sh /usr/sbin/sendmail
  - echo 'sendmail_path = "/usr/sbin/sendmail -t -i "' | sudo tee "/home/travis/.phpenv/versions/`php -i|grep "PHP Version"|head -n 1|grep -o -P '\d+\.\d+\.\d+.*'`/etc/conf.d/sendmail.ini"
script:
  - phpunit phpmailerTest
